Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.expr
Class JIExpr

`java.lang.Object
oracle.jbo.expr.JIInput
oracle.jbo.expr.JIExpr`

Direct Known Subclasses:
  JIExprJava, JIExprSQL

public abstract class JIExpr
extends JIInput

Field Summary
`static int` | `NULL_COMP_ALLOWED_FALSE`
`static int` | `NULL_COMP_ALLOWED_TRUE`
`static int` | `NULL_COMP_NOT_ALLOWED`

Fields inherited from class oracle.jbo.expr.JIInput
`lexCharBegin, lexCharEnd, lexStringBegin, lexStringEnd, WORD_POS_STACK_DEPTH, WORD_TYP_BOOLEAN, WORD_TYP_CHAR, WORD_TYP_IDENT, WORD_TYP_INTEGER, WORD_TYP_NONE, WORD_TYP_NULL, WORD_TYP_STRING, WORD_TYP_UNKNOWN`

Constructor Summary
`JIExpr()`
`JIExpr(java.io.LineNumberReader ins)`

Method Summary
`abstract boolean` | `checkForReservedWord(java.lang.String word, int nodeTyp)`
`abstract java.lang.Class` | `findClass(java.lang.String name)`
`JIParserNode` | `getAddExpr()`
`JIParserNode` | `getAssignExpr()`
`JIParserNode` | `getBooleanExpr()`
`boolean` | `getBooleanExprVal(JIValueSupplier valueSupplier)`
`java.lang.String` | `getCastingClass()`
`JIParserNode` | `getCompareExpr()`
`abstract int` | `getComparisonOperators(JIToken word)`
`JIParserNode` | `getExpr()`
`java.lang.Object` | `getExprVal(JIValueSupplier valueSupplier)`
`JIParserNode` | `getIdentTerm()`
`JIParserNode` | `getMultiplyExpr()`
`int` | `getNullComparison()`
`abstract java.lang.String` | `getReservedWord(int tokType)`
`JIParserNode` | `getTerm()`
`boolean` | `isShowParseTree()`
`void` | `noMoreTokenCheck()`
`void` | `setShowParseTree(boolean b)`

Methods inherited from class oracle.jbo.expr.JIInput
`findNextWord, findNextWord, getInStream, getLine, getPos, getTheRestOfLine, getTheRestOfLineTrim, initLexChars, isAlpha, isNumber, pushWord, readLine, rewindWord, setContinueRead, setIdentToUpper, setInStream, setLine, setPos`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_COMP_NOT_ALLOWED

    public static final int NULL_COMP_NOT_ALLOWED

  See Also:
    Constant Field Values

### NULL_COMP_ALLOWED_FALSE

    public static final int NULL_COMP_ALLOWED_FALSE

  See Also:
    Constant Field Values

### NULL_COMP_ALLOWED_TRUE

    public static final int NULL_COMP_ALLOWED_TRUE

  See Also:
    Constant Field Values

Constructor Detail

### JIExpr

    public JIExpr()

### JIExpr

    public JIExpr(java.io.LineNumberReader ins)

Method Detail

### isShowParseTree

    public boolean isShowParseTree()

### setShowParseTree

    public void setShowParseTree(boolean b)

### findClass

    public abstract java.lang.Class findClass(java.lang.String name)
                                       throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### getCastingClass

    public java.lang.String getCastingClass()

### getTerm

    public JIParserNode getTerm()

### getIdentTerm

    public JIParserNode getIdentTerm()

### getMultiplyExpr

    public JIParserNode getMultiplyExpr()

### getAddExpr

    public JIParserNode getAddExpr()

### getComparisonOperators

    public abstract int getComparisonOperators(JIToken word)

### getCompareExpr

    public JIParserNode getCompareExpr()

### getReservedWord

    public abstract java.lang.String getReservedWord(int tokType)

### checkForReservedWord

    public abstract boolean checkForReservedWord(java.lang.String word,
                                                 int nodeTyp)

### getBooleanExpr

    public JIParserNode getBooleanExpr()

### getAssignExpr

    public JIParserNode getAssignExpr()

### getExpr

    public JIParserNode getExpr()

### getExprVal

    public java.lang.Object getExprVal(JIValueSupplier valueSupplier)

### getBooleanExprVal

    public boolean getBooleanExprVal(JIValueSupplier valueSupplier)

### noMoreTokenCheck

    public void noMoreTokenCheck()

### getNullComparison

    public int getNullComparison()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.